BWTHRESH(1)

NAME
bwthresh - threshold a black-and-white bw file

SYNOPSIS
bwthresh val ... < file.bw

DESCRIPTION
Bwthresh reads from standard input a stream of black-and-white data in bw(5) format and thresholds it among the vals, writing the resulting bw(5) data to standard output. The vals must appear on the command line in strictly increasing order.

The grey scale 0..255 is divided evenly into n+1 bins, and each pixel of input is compared to the vals, to determine which of the n+1 grey levels should be output.

EXAMPLE
The command

bwthresh 37 143 < file.bw > file2.bw

performs the following mapping:

if (pixel_in < 37)
pixel_out = 0
else if (pixel_in < 143)
pixel_out = 128
else
pixel_out = 255

SEE ALSO
bwmod(1), bwstat(1), bw(5)

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.